IPCALC(1)

NIMI
ipcalc - sooritab IP aadresside lihtsa arvutuse

KOKKUVÕTE
ipcalc [VÕTI]... <IP aadress>[/prefix] [võrgumask]

KIRJELDUS
ipcalc võimaldab hõlpsasti arvutada masina IP-info. Mitmed võtmed määravad, millist infot ipcalc standardväljundis näitab. Valida võib mitu võtit. Alati peab olema määratud IP aadress, millega opereerida. Enamik operatsioone nõuab ka võrgumaski või CIDR prefiksi määramist.

VÕTMED

-b, --broadcast
    Näitab antud IP aadressi ja võrgumaski üldleviaadressi.

-h, --hostname
    Näitab antud IP aadressi masinanime.

-m, --netmask
    Arvutab antud IP aadressi võrgumaski. Eelduseks on, et IP aadress on täielik A-, B- või C-klassi võrk. Paljud võrgud ei kasutada vaikimisi võrgumaski, mispuhul teada antakse sobimatu väärtus.

-p, --prefix
    Näitab antud maski/IP aadressi prefiksit.

-n, --network
    Näitab antud IP aadressi ja võrgumaski võrguaadressi.

-s, --silent
    Veateateid ei näidata.

AUTORID
Erik Troan <ewt@redhat.com>
Preston Brown <pbrown@redhat.com>
Tõlge eesti keelde 2002: Marek Laane
bald@online.ee

VEATEATED
Andke vigadest teada meie veatuvastussüsteemi kaudu: http://bugzilla.redhat.com/bugzilla.

AUTORIÕIGUS
Copyright © 1997-2001 Red Hat, Inc.
See on vaba tarkvara; kopeerimistingimusi vaadake lähtetekstist. Sellega ei kaasne MINGIT garantiid, isegi mitte KESKMISE/TAVALISE KVALITEEDI või TEATUD OTSTARBEKS SOBIVUSE garantiid.

VAATA KA
ipcalc(3)